<template>
  <v-container>  
    <v-row class="text-center">
      <v-col cols="12">
        <v-select
          v-model="selectedSavegame"
          :items="$store.state.savegames"
          item-text="state"
          label="Select"
          persistent-hint
          return-object
          single-line
        ></v-select>
        <v-btn
          elevation="2"
          @click="loadSelected"
        >Load</v-btn>
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="12" justify="center">

        <v-btn
          elevation="2"
          @click="sendEvent('LaunchEvent')"
        >LAUNCH BUTTON</v-btn>
        <v-btn
          elevation="2"
          @click="sendEvent('ProceedEvent')"
        >Proceed</v-btn>  
      </v-col>

    </v-row>
  </v-container>
</template>

<script>
  export default {
    name: 'HelloWorld',

    methods: {
      loadSelected () {
        this.$store.dispatch('sendMessage', {
          message_type: 'event',
          message: {
            event_type: 'LoadSaveGameEvent',
            payload: {
              save_game_name: this.selectedSavegame
            }
          }
        })
      },
      sendEvent (event_type) {
        this.$store.dispatch('sendMessage', {
          message_type: 'event',
          message: {
            event_type: event_type
          }
        })
      }
    },

    sockets: {

    },

    data: () => ({
      selectedSavegame: null,
      ecosystem: [
        {
          text: 'vuetify-loader',
          href: 'https://github.com/vuetifyjs/vuetify-loader',
        },
        {
          text: 'github',
          href: 'https://github.com/vuetifyjs/vuetify',
        },
        {
          text: 'awesome-vuetify',
          href: 'https://github.com/vuetifyjs/awesome-vuetify',
        },
      ],
      importantLinks: [
        {
          text: 'Documentation',
          href: 'https://vuetifyjs.com',
        },
        {
          text: 'Chat',
          href: 'https://community.vuetifyjs.com',
        },
        {
          text: 'Made with Vuetify',
          href: 'https://madewithvuejs.com/vuetify',
        },
        {
          text: 'Twitter',
          href: 'https://twitter.com/vuetifyjs',
        },
        {
          text: 'Articles',
          href: 'https://medium.com/vuetify',
        },
      ],
      whatsNext: [
        {
          text: 'Explore components',
          href: 'https://vuetifyjs.com/components/api-explorer',
        },
        {
          text: 'Select a layout',
          href: 'https://vuetifyjs.com/getting-started/pre-made-layouts',
        },
        {
          text: 'Frequently Asked Questions',
          href: 'https://vuetifyjs.com/getting-started/frequently-asked-questions',
        },
      ],
    }),
  }
</script>
